#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: equivalence
version: 0.3.2
id: equivalence-0.3.2-1fY849ypB1L3JkIlpwTcSn
key: equivalence-0.3.2-1fY849ypB1L3JkIlpwTcSn
license: BSD3
maintainer: paba@di.ku.dk
stability: provisional
homepage: https://github.com/pa-ba/equivalence
synopsis: Maintaining an equivalence relation implemented as union-find using STT.
description:
    This is an implementation of Tarjan'\''s Union-Find algorithm (Robert
    E. Tarjan. "Efficiency of a Good But Not Linear Set Union
    Algorithm", JACM 22(2), 1975) in order to maintain an equivalence
    relation.
    This implementation is a port of the /union-find/ package using the
    ST monad transformer (instead of the IO monad).
category: Algorithms, Data
author: Patrick Bahr
exposed: True
indefinite: False
exposed-modules:
    Data.Equivalence.Monad Data.Equivalence.STT
abi: 880511abcb84ae3dd9bd36be34e57e7f
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/equivalence-0.3.2
library-dirs: /usr/lib/ghc-8.2.1/site-local/equivalence-0.3.2
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.1/equivalence-0.3.2
hs-libraries: HSequivalence-0.3.2-1fY849ypB1L3JkIlpwTcSn
depends:
    base-4.10.0.0 containers-0.5.10.2 mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3
    STMonadTrans-0.4.3-BjHxrfjqqDp1HRAb8EzNRn transformers-0.5.2.0
    transformers-compat-0.5.1.4-8ofY1OHzPhX5dvYk512o2v
abi-depends: base-4.10.0.0=835a16347ec1b210054efd02671c29ee
             containers-0.5.10.2=dd4e66fa9ac268f47a15786f1100b042
             mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3=dff2eda61fc7cfa040a2eb3f0192c69a
             STMonadTrans-0.4.3-BjHxrfjqqDp1HRAb8EzNRn=25bc70fc956744c1cf2ce1f97df9fdf9
             transformers-0.5.2.0=2645d250dd615ce454f807270041c5ea
             transformers-compat-0.5.1.4-8ofY1OHzPhX5dvYk512o2v=be80f3d454efcaa9a115f9c6da29209c
haddock-interfaces: /usr/share/doc/haskell-equivalence/html/equivalence.haddock
haddock-html: /usr/share/doc/haskell-equivalence/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

